#!/usr/bin/env python
# -*- coding: utf-8 -*-

#   BatallaEspacial.py por:
#   Flavio Danesse <fdanesse@gmail.com>
#   Ceibal Jam - Uruguay - Plan Ceibal
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

import os, sys
import pygame
from pygame.locals import *

class Caza(pygame.sprite.Sprite):
# Nave que va dentro de mi nave

	def __init__(self, posicion):

		pygame.sprite.Sprite.__init__(self)

		self.image = pygame.image.load("/home/flavio/Escritorio/BatallaEspacial/Imagenes/minave1.png").convert_alpha()
		self.rect = self.image.get_bounding_rect()

		#self.posicion = 0,0
		self.posicion = posicion

		self.rect.left, self.rect.top = self.posicion
		
	def mover(self, orientacion):
	# mueve la nave. Como este movimiento se ve al ejecutar group.draw(superficie), en el motor del juego, lo que se hace en este
	# método es mover el rectángo del sprite ya que este es el que determina la posición sobre la superficie sobre la cual se dinujará
	# cuando se utiliza group.draw(superficie)

		if orientacion == "derecha":
			self.rect = self.rect.move(12, 0)
		if orientacion == "izquierda":
			self.rect = self.rect.move(-12, 0)
		if orientacion == "arriba":
			self.rect = self.rect.move(0, -12)
		if orientacion == "abajo":
			self.rect = self.rect.move(0, 12)

